cURL
curl https://platform.subconscious.dev/api/v1/usage \
-H "Authorization: Bearer sk-gw-..."import requests
url = "https://platform.subconscious.dev/api/v1/usage"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.subconscious.dev/api/v1/usage', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://platform.subconscious.dev/api/v1/usage",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://platform.subconscious.dev/api/v1/usage"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://platform.subconscious.dev/api/v1/usage")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://platform.subconscious.dev/api/v1/usage")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"billingTerms": "prepaid",
"plan": {
"label": "Heavy",
"status": "active",
"dailyAllowance": {
"basis": "credit",
"percent": 5.5,
"resetAt": "2026-09-24T00:00:00.000Z"
}
},
"credits": {
"balanceDollars": 12.34,
"overageThisPeriodDollars": 0
},
"invoice": null,
"models": [
{
"slug": "subconscious/glm-5.3-marathon",
"consumedToday": 44500000
}
]
}Usage
Get usage
Read today’s organization usage with an inference key
GET
/
api
/
v1
/
usage
cURL
curl https://platform.subconscious.dev/api/v1/usage \
-H "Authorization: Bearer sk-gw-..."import requests
url = "https://platform.subconscious.dev/api/v1/usage"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.subconscious.dev/api/v1/usage', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://platform.subconscious.dev/api/v1/usage",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://platform.subconscious.dev/api/v1/usage"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://platform.subconscious.dev/api/v1/usage")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://platform.subconscious.dev/api/v1/usage")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"billingTerms": "prepaid",
"plan": {
"label": "Heavy",
"status": "active",
"dailyAllowance": {
"basis": "credit",
"percent": 5.5,
"resetAt": "2026-09-24T00:00:00.000Z"
}
},
"credits": {
"balanceDollars": 12.34,
"overageThisPeriodDollars": 0
},
"invoice": null,
"models": [
{
"slug": "subconscious/glm-5.3-marathon",
"consumedToday": 44500000
}
]
}Authorizations
bearerAuthapiKeyAuth
Response
Organization usage snapshot. Prepaid organizations carry credits and a daily allowance; invoiced organizations carry the invoice window instead.
Was this page helpful?